=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch $@


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	mkdir -p $(CURDIR)/debian/tmp/usr/share/openssl-blacklist
	# Add here commands to install the package into debian/openssl-blacklist.
	cp $(CURDIR)/openssl-vulnkey $(CURDIR)/debian/tmp/usr/bin/openssl-vulnkey
	# Trim blacklists to reduce the size of the package without too
	# drastically creating false positives.
	for keysize in 512 1024 2048 4096; do \
		cat $(CURDIR)/debian/blacklist.prefix > $(CURDIR)/debian/tmp/usr/share/openssl-blacklist/blacklist.RSA-$$keysize; \
		cat $(CURDIR)/blacklists/be32/blacklist-$$keysize.db $(CURDIR)/blacklists/le32/blacklist-$$keysize.db $(CURDIR)/blacklists/le64/blacklist-$$keysize.db | cut -d ' ' -f 5 | cut -b21- | sort >> $(CURDIR)/debian/tmp/usr/share/openssl-blacklist/blacklist.RSA-$$keysize; \
	done

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples examples/bad_req.csr examples/bad_rsa.key examples/bad_rsa_password_is_pass.key examples/bad_x509.pem examples/gen_certs.sh examples/getpid.c examples/good_req.csr examples/good_rsa.key examples/good_x509.pem
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_python
	dh_installman $(CURDIR)/openssl-vulnkey.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zbzip2

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
