=== debian/control ===
Source: openssl-blacklist
Section: net
XS-Python-Version: all
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kees Cook <kees@outflux.net>
Uploaders: Jamie Strandboge <jamie@ubuntu.com>, Christoph Martin <christoph.martin@uni-mainz.de>
Build-Depends: debhelper (>= 5.0.38), python-central (>= 0.5.6)
Standards-Version: 3.7.3
Vcs-Browser: http://svn.debian.org/wsvn/pkg-openssl/openssl-blacklist
Vcs-Svn: svn://svn.debian.org/pkg-openssl/openssl-blacklist/

Package: openssl-blacklist
Architecture: all
Pre-Depends: dpkg (>= 1.10.24)
Depends: ${python:Depends}, openssl (>= 0.9.8c-4ubuntu0.2)
XB-Python-Version: ${python:Versions}
Description: list of blacklisted OpenSSL RSA keys
 Contains the list of known-bad OpenSSL keys for openssl-vulnkey to use when
 examining suspect keys: RSA-1024, RSA-2048

Package: openssl-blacklist-extra
Architecture: all
Pre-Depends: dpkg (>= 1.10.24)
Depends: ${python:Depends}, openssl-blacklist
XB-Python-Version: ${python:Versions}
Description: list of non-default blacklisted OpenSSL RSA keys
 Contains the list of known-bad non-default OpenSSL keys for openssl-vulnkey to
 use when examining suspect keys: RSA-512, RSA-4096
