=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: openssl-blacklist
 Architecture: all
 Pre-Depends: dpkg (>= 1.10.24)
-Depends: ${python:Depends}, openssl (>= 0.9.8e-5ubuntu3.2)
+Depends: ${python:Depends}, openssl (>= 0.9.8g-4ubuntu3.1)
 XB-Python-Version: ${python:Versions}
 Description: list of blacklisted OpenSSL RSA keys
  Contains the list of known-bad OpenSSL keys for openssl-vulnkey to use when
