=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
-	dh_python
+	dh_pycentral
 	dh_installman $(CURDIR)/openssl-vulnkey.1
 	dh_link
 	dh_strip
