## openssl-blacklist 0.4.2~bpo40+1

=== debian/changelog ===
openssl-blacklist (0.4.2~bpo40+1) etch-backports; urgency=low

  * backports to etch
  * Pre-Depend on dpkg (>= 1.10.24)

 -- Christoph Martin <Christoph.Martin@Uni-Mainz.DE>  Thu, 19 Jun 2008 21:54:20 +0200

openssl-blacklist (0.4.2) unstable; urgency=low

  * Add openssl to the Build-Deps, since it is required for the tests.

 -- Kees Cook <kees@outflux.net>  Tue, 17 Jun 2008 15:27:38 -0700

openssl-blacklist (0.4.1) unstable; urgency=low

  [ Jamie Strandboge ]
  * add RSA-4096 blacklist for le64
  * install RSA-4096 blacklist
  * don't send STDERR to STDOUT as this may interfere with obtaining the
    modulus with long bits

  [ Kees Cook ]
  * debian/rules:
    - add new examples (using wildcards)
    - include run of internal tests during build
  * debian/control: bump to standards version 3.8.0 (no changes needed)

 -- Kees Cook <kees@outflux.net>  Mon, 16 Jun 2008 11:48:09 -0700

openssl-blacklist (0.4) unstable; urgency=low

  * allow checking of certificate requests
  * only check moduli with an exponent of 65537 (the default on Debian/Ubuntu)
  * update gen_certs.sh for when ~/.rnd does not exist when openssl is run
    which can happen with openssl 0.9.8g and higher
  * update gen_certs.sh to use '0' (in case of PID randomization)
  * added more examples
  * only prompt once for password (Closes: #483500)
  * properly cache database reads when bits are same
  * added '-m' and '-b' arguments. This is helpful for applications calling
    openssl-vulnkey when the modulus and bits are known, such as openvpn.
  * man page updates
  * added test.sh
  * added blacklists for when ~/.rnd does not exist when openssl is run
    (LP: #232104)
  * added 512 bit and partial 4096 blacklists (need le64) (LP: #231014)
  * reorganized source databases, and ship the new gen_certs.sh format
  * debian/rules: updated to use new blacklist format and organization
  * create openssl-blacklist-extra package (but don't ship 4096 yet)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 10 Jun 2008 09:09:48 -0400
