=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: net
 XS-Python-Version: all
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kees Cook <kees@outflux.net>
+Maintainer: Kees Cook <kees@outflux.net>
 Uploaders: Jamie Strandboge <jamie@ubuntu.com>, Christoph Martin <christoph.martin@uni-mainz.de>
-Build-Depends: debhelper (>= 5.0.38), python-central (>= 0.5.6)
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 5.0.38), python-central (>= 0.5.6), openssl (>= 0.9.8c-4etch3)
+Standards-Version: 3.8.0.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-openssl/openssl-blacklist
 Vcs-Svn: svn://svn.debian.org/pkg-openssl/openssl-blacklist/
 
 Package: openssl-blacklist
 Architecture: all
 Pre-Depends: dpkg (>= 1.10.24)
-Depends: ${python:Depends}, openssl (>= 0.9.8g-4ubuntu3.1)
+Depends: ${python:Depends}, openssl (>= 0.9.8c-4etch3)
 XB-Python-Version: ${python:Versions}
 Description: list of blacklisted OpenSSL RSA keys
  Contains the list of known-bad OpenSSL keys for openssl-vulnkey to use when
