=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 build-stamp: configure-stamp 
 	dh_testdir
 	# Add here commands to compile the package.
+	sh ./test.sh
 	touch $@
 
 clean:
@@ -46,7 +47,7 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs
-	dh_installexamples examples/bad_req.csr examples/bad_rsa.key examples/bad_rsa_password_is_pass.key examples/bad_x509.pem examples/gen_certs.sh examples/getpid.c examples/good_req.csr examples/good_rsa.key examples/good_x509.pem
+	dh_installexamples examples/*.pem examples/*.csr examples/*.key examples/gen_certs.sh examples/getpid.c
 	dh_install --sourcedir=debian/tmp
 #	dh_installmenu
 #	dh_installdebconf
