## openssl-blacklist 0.4.2ubuntu1

=== debian/changelog ===
openssl-blacklist (0.4.2ubuntu1) jaunty; urgency=low

  * openssl-vulnkey: Use hashlib python module (instead of sha module) to
    avoid a DeprecationWarning when starting up openvpn (LP: #352170)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 06 Apr 2009 14:35:47 +0200
