=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 XS-Python-Version: all
 Priority: optional
-Maintainer: Kees Cook <kees@outflux.net>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kees Cook <kees@outflux.net>
 Uploaders: Jamie Strandboge <jamie@ubuntu.com>, Christoph Martin <christoph.martin@uni-mainz.de>
 Build-Depends: debhelper (>= 5.0.38), python-central (>= 0.5.6), openssl (>= 0.9.8g-9)
 Standards-Version: 3.8.0.0
